package com.liquidnet.client.admin.zhengzai.adam.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.adam.entity.AdamUser;

import java.util.List;

/**
 * 用户Service接口
 * 
 * @author ruoyi
 * @date 2021-05-24
 */
public interface IAdamUserAdminService extends IService<AdamUser>
{
    /**
     * 查询用户
     * 
     * @param mid 用户ID
     * @return 用户
     */
    public AdamUser selectAdamUserById(Integer mid);

    /**
     * 查询用户列表
     * 
     * @param adamUser 用户
     * @return 用户集合
     */
    public List<AdamUser> selectAdamUserList(AdamUser adamUser);

    /**
     * 新增用户
     * 
     * @param adamUser 用户
     * @return 结果
     */
    public int insertAdamUser(AdamUser adamUser);

    /**
     * 修改用户
     * 
     * @param adamUser 用户
     * @return 结果
     */
    public int updateAdamUser(AdamUser adamUser);

    /**
     * 批量删除用户
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAdamUserByIds(String ids);

    /**
     * 删除用户信息
     * 
     * @param mid 用户ID
     * @return 结果
     */
    public int deleteAdamUserById(Integer mid);
}
